Skip to main content
POST
/
api
/
sandboxes
/
setup
cURL
curl --request POST \
  --url https://recoup-api.vercel.app/api/sandboxes/setup \
  --header 'Content-Type: application/json' \
  --data '
{
  "account_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
'
{
  "status": "success",
  "runId": "run_abc123def456"
}

Body

application/json

Optional account targeting parameters

account_id
string<uuid>

UUID of the account to set up the sandbox for. Only applicable when the authenticated account has access to multiple accounts via organization membership. If not provided, sets up the sandbox for the API key's own account.

Response

Setup task triggered successfully

status
enum<string>
required

Status of the setup operation

Available options:
success
runId
string
required

The Trigger.dev run ID for the setup-sandbox background task. Use this with GET /api/tasks/runs to check the status and retrieve results.

Example:

"run_abc123def456"